part of mapmyindia_nearby_plugin;

class NearbyOption {
  final int? radius;
  final String? bounds;
  final bool? explain;
  final String? filter;
  final String? pod;
  final bool? richData;
  final String? searchBy;
  final String? sortBy;

  NearbyOption(
      {this.radius,
      this.bounds,
      this.explain,
      this.filter,
      this.pod,
      this.richData,
      this.searchBy,
      this.sortBy});

  Map<String, dynamic> toMap() {
    final Map<String, dynamic> optionsMap = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        optionsMap[fieldName] = value;
      }
    }

    addIfNonNull('radius', radius);
    addIfNonNull('bounds', bounds);
    addIfNonNull('explain', explain);
    addIfNonNull('filter', filter);
    addIfNonNull('pod', pod);
    addIfNonNull('richData', richData);
    addIfNonNull('searchBy', searchBy);
    addIfNonNull('sortBy', sortBy);

    return optionsMap;
  }
}
