part of mapmyindia_nearby_plugin;

class CategoryCode {
  final String category;
  final Uint8List icon;
  final List<String> categoryCode;
  final Uint8List markerIcon;
  bool isSelected;

  CategoryCode(this.category, this.icon, this.categoryCode, this.markerIcon,
      {this.isSelected = false});

  Map<String, dynamic> toMap() {
    final Map<String, dynamic> optionsMap = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        optionsMap[fieldName] = value;
      }
    }

    addIfNonNull('category', category);
    addIfNonNull('icon', icon);
    addIfNonNull('categoryCode', categoryCode);
    addIfNonNull('markerIcon', markerIcon);
    addIfNonNull('isSelected', isSelected);

    return optionsMap;
  }
}
